blaster(6)

NAME
blaster - simulation of space combat

SYNOPSIS
blaster [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--num_robots number] [--num_lasers number] [--num_stars number] [--delay number] [--fps]

DESCRIPTION
Draws a simulation of flying space-combat robots (cleverly disguised as colored circles) doing battle in front of a moving star field.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--num_robots number
    Robots. 2 - 50. Default: 5.

--num_lasers number
    Lasers. 1 - 100. Default: 3.

--num_stars number
    Stars.    5 - 200.  Default: 50.

--delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Jonathan Lin. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jonathan Lin.